.retail-map-block {
    position: relative;
    z-index: 1;
}

.retail-map-block .button--black {
    width: 100%;
    transition: none;
}

.retail-map-block  .active-tooltip .button--black {
    transition: 0.2s ease;
}

.retail-map {
    color: #121239;
    position: relative;
}

.retail-map img {
    width: 100%;
    height: auto;
}

.retail-map-mobile {
    overflow: hidden;
}

.retail-map-map {
    position: relative;
}

.retail-map-title {
    margin: 0 0 55px 0;
}

.retail-map-tooltip-wrapper {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 10;
    top: 0;
    left: 0;
}


.retail-map-tooltip {
    visibility: hidden;
    background-color: #ffffff;
    color: #000000;
    border: none;
    font-size: 18px;
    line-height: 26px;
    font-weight: normal;
    padding: 32px;
    position: absolute;
    text-align: left;
    z-index: 10;
    border-radius: 16px;
    box-shadow: 0 4.421px 26.526px 0 rgba(0, 0, 0, 0.08);
    cursor: default;
}

[data-role=tooltip] {
    cursor: pointer;
}

.retail-map-item-child[data-tooltip-flow=down] .retail-map-tooltip::after,
.retail-map-item-title[data-tooltip-flow=down] .retail-map-tooltip::after {
    position: absolute;
    content: '';
    width: 100%;
    height: 40px;
    left: 0;
    bottom: 100%;
}

.retail-map-item-child[data-tooltip-flow=up] .retail-map-tooltip::after,
.retail-map-item-title[data-tooltip-flow=up] .retail-map-tooltip::after {
    position: absolute;
    content: '';
    width: 100%;
    height: 40px;
    left: 0;
    top: 100%;
}

.retail-map-item.active-tooltip .retail-map-item-title .retail-map-tooltip,
.retail-map-item-child.active-tooltip .retail-map-tooltip {
    visibility: visible;
    animation: tooltips-vert 300ms ease-out forwards;
}

.retail-map-item .retail-map-tooltip::before {
    display: none;

    content: '';
    position: absolute;
    width: 20px;
    height: 20px;
    transform: rotate(45deg);
    z-index: 4;
}

[data-tooltip-flow=up] .retail-map-tooltip {
    transform: translateY(-10%);
    bottom: calc(100% + 15px);
}

[data-tooltip-flow=up] .retail-map-tooltip::before {
    bottom: -17px;
    background: linear-gradient(to top left, #7949f4 50%, transparent 50%);
}

[data-tooltip-flow=down] .retail-map-tooltip {
    transform: translateY(10%);
    top: calc(100% - 30px);
}

[data-tooltip-flow=down][data-marker-side=right] .retail-map-tooltip,
[data-tooltip-flow=down][data-marker-side=left] .retail-map-tooltip {
    top: calc(100% + 15px);
}

.retail-map-item-child[data-tooltip-flow=down][data-marker-side=top] .retail-map-tooltip {
    top: calc(100% + 15px);
}

.retail-map-item-child[data-tooltip-flow=down] .retail-map-tooltip {
    top: calc(100% - 13px);
}

.retail-map-item-child[data-tooltip-flow=down][data-marker-side=right] .retail-map-tooltip,
.retail-map-item-child[data-tooltip-flow=down][data-marker-side=left] .retail-map-tooltip {
    top: calc(100% + 15px);
}

.retail-map-item-child[data-tooltip-flow=down][data-marker-side=top] .retail-map-tooltip {
    top: calc(100% + 15px);
}

.retail-map-item-child[data-tooltip-flow=up][data-marker-side=top] .retail-map-tooltip {
    bottom: calc(100% - 8px);
}

[data-tooltip-flow=down] .retail-map-tooltip::before {
    top: -17px;
    background: linear-gradient(to bottom right, #7949f4 50%, transparent 50%);
}

[data-tooltip-side=left] .retail-map-tooltip {
    left: -15px;
}

[data-tooltip-side=left] .retail-map-tooltip::before {
    left: 5%;
}

[data-tooltip-side=right] .retail-map-tooltip {
    right: -15px;
}

[data-tooltip-side=right] .retail-map-tooltip::before {
    right: 5%;
}

.active-tooltip .retail-map-item-title[data-tooltip-flow=down] svg {
    opacity: 0;
}

.retail-map-item-child.active-tooltip[data-tooltip-flow=down] svg {
    opacity: 0;
}

.retail-map-item-child.active-tooltip[data-tooltip-flow=down] svg {
    opacity: 0;
}

.retail-map-item-child.active-tooltip[data-marker-side=right] svg,
.retail-map-item-child.active-tooltip[data-marker-side=left] svg {
    opacity: 1;
}

.retail-map-item-child.active-tooltip[data-tooltip-flow=down][data-marker-side=top] svg {
    opacity: 1;
}

.retail-map-item-child.active-tooltip[data-tooltip-flow=up][data-marker-side=top] svg {
    opacity: 0;
}

@keyframes tooltips-vert {
    to {
        transform: translateY(0);
    }
}

@keyframes tooltips-horz {
    to {

        transform: translate(0, -50%);
    }
}

.retail-tooltip-row ul {
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 5px;
    list-style-position: outside;
    padding-left: 15px;
    margin-bottom: 24px;
}

@media (max-width: 1023px) {
    .retail-tooltip-row ul {
        padding-left: 20px;
    }
}

.retail-tooltip-row ol {
    padding: 0;
    list-style-position: inside;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.retail-map-item .retail-map-tooltip {
    min-width: 402px;
}

.retail-map-item .retail-map-tooltip p {
    margin: 0;
    padding: 0;
}

.retail-map-item .retail-map-tooltip ul li {
    min-width: 230px;
}

.retail-tooltip-row ul {
    list-style: initial;
}

.retail-tooltip-row ul li:has(a)::marker {
    color: #7949f4;
}

.retail-tooltip-row ul li:has(a):hover::marker {
    color: #4514C2;
}

.retail-map-item .retail-map-tooltip .retail-map-tooltip-title_icon {
    width: 54px;
    height: 54px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background-color: #7949F4;
}

.retail-map-item .retail-map-tooltip-title_close svg {
    transform: scale(1.2);
    opacity: 1 !important;
    width: 25px !important;
    height: 25px !important;
    min-width: 25px !important;
    min-height: 25px !important;
}

.retail-map-item .active-tooltip .retail-map-tooltip-title_close svg path {
    transition: 0.2s ease;
}

.retail-map-item .retail-map-tooltip-title_close:hover svg path {
    fill: #7949f4;
}

.retail-map-item .retail-map-tooltip .retail-map-tooltip-title_icon svg {
    transform: scale(1.2);
    opacity: 1 !important;
    width: 20px !important;
    height: 20px !important;
    min-width: 20px !important;
    min-height: 20px !important;
}

.retail-map-item .retail-map-tooltip p.retail-map-tooltip-title {
    position: relative;
    font-family: "Source Sans Pro", Arial, sans-serif;
    font-size: 24px;
    font-weight: 600;
    display: flex;
    align-items: center;
    gap: 16px;
    margin: 0 0 20px 0;
    border-bottom: 1px solid #DEDEDE;
    padding-bottom: 20px;
}

.retail-map-tooltip-title_close {
    position: absolute;
    top: 0;
    right: 0;
    cursor: pointer;
}


.retail-tooltip-row {
    display: flex;
    gap: 20px;
}

.retail-map-item-title {
    font-weight: 700;
    position: absolute;
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 5px;
    transition: color .3s ease;
    cursor: pointer;
    z-index: 4;
}

.retail-map-item-title.tooltip-disable {
    cursor: default;
}

.retail-map-item.active-child-tooltip .retail-map-item-title:not(.tooltip-disable),
.retail-map-item.active .retail-map-item-title:not(.tooltip-disable) {
    color: #7949f4;
}

.retail-map-item.pulse .retail-map-item-title .marker {
    -webkit-animation: pulsate-fwd 1s ease-in-out infinite both;
    animation: pulsate-fwd 1s ease-in-out infinite both;
}


.retail-map-item.active-tooltip .retail-map-item-title {
    z-index: 6;
}

.retail-map-item-title svg {
    width: 37px;
    height: 46px;
    min-width: 36px;
    min-height: 46px;
    position: relative;
    left: 0;
    right: 0;
    top: 0;
    margin: auto;
    overflow: visible;
}

.retail-map-item-title-marker {
    display: flex;
    flex-direction: column;
    align-items: center;
    transition: .3s ease;
}

.retail-map-item-child .retail-map-item-title-marker {
    gap: 3px;
}

.retail-map-item-title[data-marker-side="right"] .retail-map-item-title-marker,
.retail-map-item-title[data-marker-side="left"] .retail-map-item-title-marker {
    flex-direction: row;
    gap: 5px;
}

.retail-map-item-child[data-marker-side="right"] .retail-map-item-title-marker,
.retail-map-item-child[data-marker-side="left"] .retail-map-item-title-marker {
    flex-direction: row;
    gap: 5px;
}

.retail-map-item-image {
    position: absolute;
    transition: .3s ease;
    font-size: 0;
    line-height: 0;
}

.retail-map-item-images {
    position: relative;
}

.retail-map-item-image-hover {
    opacity: 0;

    position: absolute;
    left: 0;
    bottom: 0;
}

.retail-map-item-image-static {
    transition: .3s ease;
    z-index: 1;
    position: relative;
}

.retail-map-item-children {
    opacity: 0;
    transition: color .3s ease;
    pointer-events: none;
}

.retail-map-item-child {
    font-size: 12px;
    line-height: 1;
    font-weight: 700;
    position: absolute;
    display: flex;
    flex-direction: column;
    text-align: center;
    gap: 3px;
    z-index: 3;
}


.retail-map-item-child.active-tooltip {
    z-index: 5;
}

@media (max-width: 1476px) {
    .retail-map-item-child {
        font-size: 11px;
    }
}

.retail-map-item-child:hover {
    color: #7949f4;
}

.retail-map-item-child:hover .marker {
    -webkit-animation: pulsate-fwd 1s ease-in-out infinite both;
    animation: pulsate-fwd 1s ease-in-out infinite both;
}

.retail-map-item-title-wrapper {
    position: relative;
    cursor: pointer;
}

.retail-map-item-child .retail-map-item-title-marker svg {
    width: 25px;
    height: 29px;
    min-width: 24px;
    min-height: 29px;
    position: relative;
    left: 0;
    right: 0;
    top: 100%;
    margin: auto;
    overflow: visible;
}

.retail-map-item-image-overlay {
    position: absolute;
    width: 75%;
    height: 75%;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    z-index: 1;
    transform: rotate(30deg);
}

.retail-map-item.retail-map-item--always-active .retail-map-item-title:not(.tooltip-disable),
.retail-map-item.active .retail-map-item-title:not(.tooltip-disable),
.retail-map-item.active-tooltip .retail-map-item-title:not(.tooltip-disable),
.retail-map-item.active-child-tooltip .retail-map-item-title:not(.tooltip-disable) {
    color: #7949f4;
}

.retail-map-item.retail-map-item--always-active .retail-map-item-images img:not(:only-child).retail-map-item-image-static,
.retail-map-item.active .retail-map-item-images img:not(:only-child).retail-map-item-image-static,
.retail-map-item.active-tooltip .retail-map-item-images img:not(:only-child).retail-map-item-image-static,
.retail-map-item.active-child-tooltip .retail-map-item-images img:not(:only-child).retail-map-item-image-static {
    opacity: 0 !important;
    z-index: -1 !important;
    pointer-events: none;
}

.retail-map-item.retail-map-item--always-active .retail-map-item-image-hover,
.retail-map-item.active .retail-map-item-image-hover,
.retail-map-item.active-tooltip .retail-map-item-image-hover,
.retail-map-item.active-child-tooltip .retail-map-item-image-hover {
    opacity: 1 !important;
}

.retail-map-item.retail-map-item--always-active .retail-map-item-children,
.retail-map-item.active .retail-map-item-children,
.retail-map-item.active-tooltip .retail-map-item-children,
.retail-map-item.active-child-tooltip .retail-map-item-children {
    opacity: 1;
    pointer-events: auto;
}


.retail-map-item:nth-child(2) .retail-map-item-title {
    top: 61%;
    left: 4%;
}

.retail-map-item:nth-child(2) .retail-map-item-image {
    width: 20%;
    height: 25%;
    bottom: 9%;
    left: 3%;
}

.retail-map-item:nth-child(2) .retail-map-item-images {
    width: 90%;
    top: 17%;
    left: 1%;
}

@media (max-width: 1476px) {
    .retail-map-item:nth-child(2) .retail-map-item-title {
        top: 60%;
        left: 3%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item:nth-child(2) .retail-map-item-title {
        left: -1%;
        top: 62%;
    }
}

@media (max-width: 1050px) {
    .retail-map-item:nth-child(2) .retail-map-item-title {
        left: -2%;
        top: 63%;
    }
}

.retail-map-item:nth-child(3) .retail-map-item-title {
    top: 16%;
    left: 8%;
}

.retail-map-item:nth-child(3) .retail-map-item-image {
    width: 30%;
    height: auto;
    top: 23%;
    left: 0;
}

@media (max-width: 1599px) {
    .retail-map-item:nth-child(3) .retail-map-item-title {
        top: 14%;
        left: 7%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item:nth-child(3) .retail-map-item-title {
        top: 14%;
        left: 6%;
    }
}

@media (max-width: 1050px) {
    .retail-map-item:nth-child(3) .retail-map-item-title {
        top: 12%;
        left: 6%;
    }
}

.retail-map-item[data-uid=production] .retail-map-item-title {
    top: 3%;
    left: 15%;
}

.retail-map-item[data-uid=production] .retail-map-item-image {
    width: 25%;
    height: 28%;
    top: 2%;
    left: 16%;
}

.retail-map-item[data-uid=production] .retail-map-item-images {
    width: 92%;
    top: 13%;
    left: 3%;
    z-index: 0;
}

.retail-map-item[data-uid=production] .retail-map-item-image-overlay {
    width: 60%;
    left: -36px;
    top: -24px;
}

@media (max-width: 1599px) {
    .retail-map-item[data-uid=production] .retail-map-item-title {
        top: 1%;
        left: 14%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item[data-uid=production] .retail-map-item-title {
        top: 1%;
        left: 13%;
    }
}

@media (max-width: 1050px) {
    .retail-map-item[data-uid=production] .retail-map-item-title {
        top: 0;
        left: 12%;
    }
}

.retail-map-item[data-uid=office] .retail-map-item-image-overlay {
    height: 87%;
    left: -17%;
    top: -21%;
    width: 72%;
    transform: rotate(26deg) skew(0deg);
}

.retail-map-item[data-uid=office] .retail-map-item-image-overlay::before {
    content: '';
    position: absolute;
    height: 62%;
    left: 66%;
    top: 45%;
    width: 49%;
    transform: rotate(65deg) skew(0deg);
}

.retail-map-item[data-uid=office] .retail-map-item-title {
    top: 2%;
    left: 39.5%;
}

.retail-map-item[data-uid=office] .retail-map-item-title[data-tooltip-flow="down"] .retail-map-tooltip {
    top: calc(100% + 5px);
}

@media (max-width: 1599px) {
    .retail-map-item[data-uid=office] .retail-map-item-title {
        top: 0;
        left: 38.5%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item[data-uid=office] .retail-map-item-title {
        top: 0;
        left: 35%;
    }
}

@media (max-width: 1050px) {
    .retail-map-item[data-uid=office] .retail-map-item-title {
        top: -3%;
        left: 37%;
    }
}

.retail-map-item[data-uid=office] .retail-map-item-image {
    width: 40%;
    height: auto;
    top: 3%;
    left: 33%;
}

.retail-map-item[data-uid=office] .retail-map-item-child:first-child {
    top: 61%;
    right: 23%;
}

@media (max-width: 1199px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:first-child {
        top: 58%;
        right: 22%;
    }
}

.retail-map-item[data-uid=office] .retail-map-item-child:nth-child(2) {
    top: 41.5%;
    right: 26.5%;
    flex-direction: revert;
    align-items: center;
}

.retail-map-item[data-uid=office] .retail-map-item-child:nth-child(2) svg {
    order: -1;
}

.retail-map-item[data-uid=office] .retail-map-item-child:nth-child(2) .retail-map-item-title-marker {
    gap: 0;
}

@media (max-width: 1599px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(2) {
        top: 41%;
        right: 23.5%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(2) {
        top: 41%;
        right: 20%;
    }
}

@media (max-width: 1050px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(2) {
        top: 41%;
        right: 19%;
    }
}

.retail-map-item[data-uid=office] .retail-map-item-child:nth-child(3) {
    top: 42%;
    right: 66.5%;
}


@media (max-width: 1599px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(3) {
        top: 41%;
        right: 66%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(3) {
        top: 40%;
        right: 65%;
    }
}

@media (max-width: 1050px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(3) {
        top: 39%;
    }
}

.retail-map-item[data-uid=office] .retail-map-item-child:nth-child(4) {
    top: 37%;
    left: -9%;

}

.retail-map-item[data-uid=office] .retail-map-item-child:nth-child(4) .retail-map-item-title-marker svg {
    margin: 0;
}

@media (max-width: 1599px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(4) {
        top: 36%;
        left: -12%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(4) {
        top: 35%;
        left: -14%;
    }
}

@media (max-width: 1050px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(4) {
        top: 34%;
        left: -15%;
    }
}

.retail-map-item[data-uid=office] .retail-map-item-child:nth-child(5) {
    top: 28.5%;
    left: 5%;
    align-items: center;
}

@media (max-width: 1599px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(5) {
        top: 28%;
        left: 3%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(5) {
        top: 28%;
        left: 2%;
    }
}

@media (max-width: 1050px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(5) {
        top: 28%;
        left: 0%;
    }
}

.retail-map-item[data-uid=office] .retail-map-item-child:nth-child(6) {
    top: 23%;
    left: 15%;
    align-items: center;
}

@media (max-width: 1599px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(6) {
        top: 22.5%;
        left: 12%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(6) {
        top: 23%;
        left: 12%;
    }
}

@media (max-width: 1050px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(6) {
        left: 13%;
    }
}

.retail-map-item[data-uid=office] .retail-map-item-child:nth-child(7) {
    top: 13%;
    left: 25%;
    align-items: center;
}

@media (max-width: 1599px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(7) {
        top: 9%;
        left: 27%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(7) {
        top: 7%;
        left: 27%;
    }
}

.retail-map-item[data-uid=office] .retail-map-item-child:nth-child(8) {
    top: 3%;
    left: 58%;
    align-items: center;
}

@media (max-width: 1199px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(8) {
        top: 0;
        left: 55%;
    }
}

.retail-map-item[data-uid=office] .retail-map-item-child:nth-child(9) {
    top: 9%;
    left: 79%;
    text-align: left;
    align-items: center;
}

.retail-map-item[data-uid=office] .retail-map-item-child:nth-child(9) .retail-map-item-title-marker {
    align-items: flex-start;
}

.retail-map-item[data-uid=office] .retail-map-item-child:nth-child(9) svg {
    margin: 0;
}

@media (max-width: 1599px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(9) {
        top: 7%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(9) {
        top: 6%;
        left: 79%;
    }
}

.retail-map-item:nth-child(6) .retail-map-item-title {
    top: 3%;
    right: 16%;
}

.retail-map-item:nth-child(6) .retail-map-item-title .retail-map-item-title-marker {
    flex-direction: row;
    gap: 5px;
}

.retail-map-item:nth-child(6) .retail-map-item-title .retail-map-item-title-marker svg {
    order: -1;
}

.retail-map-item:nth-child(6) .retail-map-item-image {
    width: 17%;
    height: 23%;
    top: 4%;
    right: 15%;
}

.retail-map-item:nth-child(6) .retail-map-item-images {
    width: 85%;
    top: 19%;
    left: 7%;
}

@media (max-width: 1599px) {
    .retail-map-item:nth-child(6) .retail-map-item-title {
        right: 14%;
        top: 2%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item:nth-child(6) .retail-map-item-title {
        top: 0;
        right: 13%;
    }
}

.retail-map-item:nth-child(7) .retail-map-item-title {
    top: 7%;
    right: 7%;
}

.retail-map-item:nth-child(7) .retail-map-item-image {
    width: 17%;
    height: 25%;
    top: 10%;
    right: 3%;
}

.retail-map-item:nth-child(7) .retail-map-item-images {
    width: 65%;
    top: 16%;
    left: 19%;
}

@media (max-width: 1599px) {
    .retail-map-item:nth-child(7) .retail-map-item-title {
        top: 5%;
        right: 7%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item:nth-child(7) .retail-map-item-title {
        top: 3%;
        right: 6.5%;
    }
}

@media (max-width: 1050px) {
    .retail-map-item:nth-child(7) .retail-map-item-title {
        top: 2%;
        right: 6.5%;
    }
}

.retail-map-item:nth-child(8) .retail-map-item-title {
    top: 38%;
    right: 8%;
}

.retail-map-item:nth-child(8) .retail-map-item-image {
    width: 15%;
    height: 20%;
    top: 39%;
    right: 6%;
}

.retail-map-item:nth-child(8) .retail-map-item-images {
    width: 85%;
    top: 21%;
    left: 6%;
}

@media (max-width: 1599px) {
    .retail-map-item:nth-child(8) .retail-map-item-title {
        top: 36%;
        right: 7%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item:nth-child(8) .retail-map-item-title {
        top: 35%;
        right: 7%;
    }
}

@media (max-width: 1050px) {
    .retail-map-item:nth-child(8) .retail-map-item-title {
        top: 33%;
        right: 6%;
    }
}

.retail-map-item:nth-child(9) .retail-map-item-title {
    top: 65%;
    right: 2%;
}

.retail-map-item:nth-child(9) .retail-map-item-image-overlay:after {
    content: '';
    position: absolute;
    height: 62%;
    left: 34%;
    top: -46%;
    width: 49%;
    transform: rotate(65deg) skew(0deg);
}

.retail-map-item:nth-child(9) .retail-map-item-image {
    width: 26.5%;
    height: auto;
    top: 66%;
    right: 1%;
}

.retail-map-item:nth-child(9) .retail-map-item-child:first-child {
    display: none;
    top: -10%;
    right: 43%;
    align-items: center;
}

@media (max-width: 1199px) {
    .retail-map-item:nth-child(9) .retail-map-item-child:first-child {
        top: -11%;
        right: 47%;
    }
}

.retail-map-item:nth-child(9) .retail-map-item-child:nth-child(2) {
    display: none;
    top: 23%;
    right: -3%;
    align-items: center;
    text-align: left;
}

.retail-map-item:nth-child(9) .retail-map-item-child:nth-child(3) {
    display: none;
    bottom: 42%;
    right: 63%;
    align-items: center;
    text-align: right;
}

@media (max-width: 1199px) {
    .retail-map-item:nth-child(9) .retail-map-item-child:nth-child(3) {
        bottom: 38%;
    }
}

@media (max-width: 1599px) {
    .retail-map-item:nth-child(9) .retail-map-item-title {
        top: 63%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item:nth-child(9) .retail-map-item-title {
        top: 60%;
        right: 2%;
    }
}

.retail-map-item:nth-child(10) .retail-map-item-title {
    top: 77%;
    right: 30%;
}

.retail-map-item:nth-child(10) .retail-map-item-title .retail-map-item-title-marker {
    flex-direction: row;
    gap: 5px;
}

.retail-map-item:nth-child(10) .retail-map-item-title .retail-map-item-title-marker svg {
    order: -1;
}

.retail-map-item:nth-child(10) .retail-map-item-image {
    width: 14%;
    height: 23%;
    bottom: 2%;
    right: 31%;
}

.retail-map-item:nth-child(10) .retail-map-item-images {
    top: 23%;
    width: 90%;
    left: 3%;
}

@media (max-width: 1599px) {
    .retail-map-item:nth-child(10) .retail-map-item-title {
        top: 77%;
        right: 27%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item:nth-child(10) .retail-map-item-title {
        right: 27%;
        top: 74%;
    }
}

@media (max-width: 1050px) {
    .retail-map-item:nth-child(10) .retail-map-item-title {
        right: 26%;
        top: 74%;
    }
}

.retail-map-item:nth-child(11) .retail-map-item-title {
    top: 75%;
    right: 47.5%;
}

.retail-map-item:nth-child(11) .retail-map-item-image {
    width: 8%;
    height: 17%;
    bottom: -1%;
    right: 46%;
}

@media (max-width: 1599px) {
    .retail-map-item:nth-child(11) .retail-map-item-title {
        right: 47%;
        top: 73%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item:nth-child(11) .retail-map-item-title {
        top: 72%;
        right: 46%;
    }
}

@media (max-width: 1050px) {
    .retail-map-item:nth-child(11) .retail-map-item-title {
        top: 71%;
        right: 45%;
    }
}

.retail-map-item:nth-child(12) .retail-map-item-title {
    top: 64%;
    right: 58%;
}

.retail-map-item:nth-child(12) .retail-map-item-image {
    width: 14%;
    height: 24%;
    bottom: 8%;
    right: 51%;
}

.retail-map-item:nth-child(12) .retail-map-item-images {
    top: 19%;
    right: 6%;
}

@media (max-width: 1599px) {
    .retail-map-item:nth-child(12) .retail-map-item-title {
        right: 58%;
        top: 62%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item:nth-child(12) .retail-map-item-title {
        right: 58%;
        top: 61%;
    }
}

@media (max-width: 1050px) {
    .retail-map-item:nth-child(12) .retail-map-item-title {
        right: 57%;
        top: 59%;
    }
}

.retail-map-item:nth-child(13) .retail-map-item-title {
    top: 56%;
    right: 73%;
}

.retail-map-item:nth-child(13) .retail-map-item-image {
    width: 16%;
    height: 22%;
    bottom: 20%;
    right: 62%;
}

.retail-map-item:nth-child(13) .retail-map-item-images {
    top: 9%;
    left: 2%;
}

@media (max-width: 1599px) {
    .retail-map-item:nth-child(13) .retail-map-item-title {
        right: 74%;
        top: 57%;
    }
}

@media (max-width: 1199px) {
    .retail-map-item:nth-child(13) .retail-map-item-title {
        right: 75%;
        top: 57%;
    }
}

@media (max-width: 1023px) {
    .retail-map {
        display: none;
    }
}

@-webkit-keyframes pulsate-fwd {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
    50% {
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes pulsate-fwd {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
    50% {
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

.tooltip-close.tooltip-close {
    display: none;
}

.active-tooltip .tooltip-close.tooltip-close {
    display: block;
}

.tooltip-close.tooltip-close {
    position: absolute;
    top: 10px;
    right: 10px;

}

.tooltip-close.theme-cross::before, .tooltip-close.theme-cross::after {
    background-color: #000000;
    transition: unset;
    width: 1px;
}

.tooltip-close.tooltip-close:hover {
    opacity: .7;
}

[data-marker-side=bottom] svg {
    order: 1;
}

.retail-tooltip-row.underline-links-animate a {
    color: #7949f4;
}

.retail-tooltip-row.underline-links-animate a:hover {
    color: #4514C2;
}


    .retail-map-map-wrapper {
        position: relative;
    }

    .retail-map-overlay {
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        z-index: 10;
        border-radius: 32px;
        background: rgba(216, 208, 208, 0.16);
        backdrop-filter: blur(23px);
        display: flex;
        align-items: center;
        justify-content: center;
        min-height: 350px;
        transition: .3s ease;
    }

    .retail-map-overlay:not(.remove) + .retail-map-map {
        overflow: hidden;
    }

    .retail-map-overlay.remove {
        opacity: 0;
        pointer-events: none;
    }
    .retail-map-btn-open {
        display: flex;
        align-items: center;
        gap: 16px;
        background: #ffffff;
        border-radius: 40px;
        box-shadow: 0 2px 24px 0 rgba(0, 0, 0, 0.20);
        color: #7949F4;
        font-size: 16px;
        font-style: normal;
        font-weight: 600;
        line-height: 150%;
        padding: 4px 32px 4px 4px;
        cursor: pointer;
        transition: .3s ease;
    }

    .retail-map-btn-open:hover {
        color: #ffffff;
        background: #7949F4;
    }

@media (max-width: 1023px) {
    .retail-map-tooltip {
        display: none;
    }

    .retail-map-mobile {
        color: #121239;
        padding: 40px 0 0;
    }

    .retail-map-slider-arrow {
        background: #121239 !important;
        border-radius: 50%;
        position: absolute;
        top: 10px !important;
        width: 45px !important;
        height: 45px !important;
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 1;
        cursor: pointer;
        transition: .3s ease;
    }

    .retail-map-slider-arrow .arrow {
        width: 12px;
        height: 12px;
        border-top: 2px solid #ffffff;
        border-left: 2px solid #ffffff;
        position: relative;
    }

    .retail-map-slider-arrow-next {
        right: 10px !important;
    }

    .retail-map-slider-arrow-prev {
        left: 10px;
    }

    .retail-map-slider-arrow-prev .arrow {
        transform: rotate(-45deg);
        left: 2px;
    }

    .retail-map-slider-arrow-next .arrow {
        transform: rotate(135deg);
        right: 2px;
    }

    .retail-map-slide-title {
        height: 65px;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 20px;
        font-weight: bold;
        margin-bottom: 20px;
    }

    .retail-map-slider::before {
        position: absolute;
        top: 0;
        left: 0;
        content: '';
        backdrop-filter: blur(15px);
        -webkit-backdrop-filter: blur(15px);
        background-color: rgba(237, 237, 237, 0.6);
        border-radius: 14px;
        height: 65px;
        width: 100%;
    }

    .retail-map-accordion-item-title {
        display: flex;
        justify-content: space-between;
        align-items: center;
        cursor: pointer;
        font-weight: 600;
        font-size: 14px;
    }

    .accordion-toggle {
        position: relative;
        cursor: pointer;
        border-radius: 50%;
        width: 34px;
        height: 34px;
        display: flex;
        transition: .3s ease;

    }

    .retail-map-accordion-item-title:hover .accordion-toggle {
        background-color: rgba(229, 227, 228, 1);
    }

    .accordion-toggle::before,
    .accordion-toggle::after {
        content: '';
        position: absolute;
        background: #000000;
        margin: auto;
    }

    .accordion-toggle::before {
        left: calc(50% - 1px);
        top: 0;
        bottom: 0;
        width: 2px;
        height: 22px;
    }

    .accordion-toggle::after {
        left: 0;
        right: 0;
        top: calc(50% - 1px);
        width: 22px;
        height: 2px;
    }

    .retail-tooltip-row {
        flex-direction: column;
    }

    .retail-map-slide-text {
        padding: 0 10px;
    }


    .retail-map {
        display: block;
    }

    .retail-map-map-wrapper {
        width: 100%;
        margin-left: 0;
        margin-bottom: 0;
        height: 360px !important;
        position: relative;
        overflow: hidden;
        border-radius: 32px;
    }

    .retail-map-map-wrapper.remove {
        height: 470px !important;
        border-radius: 0;
        width: calc(100% + 48px);
        margin-left: -24px;
    }

    .retail-map-map {
        position: absolute;
        transform-origin: top left;
        transition: transform 0.5s ease; /* Плавный переход */
        left: 0;
        top: 0;
        --scale: unset;
        -webkit-transform: scale(var(--scale));
        -ms-transform: scale(var(--scale));
        transform: scale(var(--scale));
        transform: scale(var(--scale));
    }

    .retail-map-accordion-item {
        padding: 10px 0;
        border-bottom: 1px solid rgba(91, 91, 91, 0.2);
    }

    .retail-map img {
        width: auto;
    }

    .retail-map-accordion-item-content {
        max-height: 0;
        overflow: hidden;
        pointer-events: none;
        transition: max-height .3s ease;
    }

    .js-accordion-item.active .retail-map-accordion-item-content {
        max-height: 1000px;
        pointer-events: auto;
    }

    .js-accordion-item.active .accordion-toggle {
        background: rgba(121, 73, 244, 1);
        transform: rotate(45deg);
    }

    .js-accordion-item.active .accordion-toggle::before,
    .js-accordion-item.active .accordion-toggle::after {
        background: #ffffff;
    }

    .retail-map-item:nth-child(2) .retail-map-item-title {
        left: 4%;
    }

    .retail-map-item:nth-child(3) .retail-map-item-title {
        top: 24%;
        left: 4%;
    }

    .retail-map-item[data-uid=production] .retail-map-item-title {
        left: 20%;
    }

    .retail-map-item:nth-child(6) .retail-map-item-title {
        top: 25px;
        right: 15%;
    }

    .retail-map-item:nth-child(7) .retail-map-item-title {
        top: 7%;
        right: 8.5%;
    }

    .retail-map-item:nth-child(8) .retail-map-item-title {
        top: 39%;
        right: 9%;
    }

    .retail-map-item:nth-child(9) .retail-map-item-title {
        top: 76%;
        right: 3%;
    }

    .retail-map-item:nth-child(10) .retail-map-item-title {
        right: 31%;
        top: 77%;
    }

    .retail-map-item:nth-child(11) .retail-map-item-title {
        top: 78%;
        right: 47%;
    }

    .retail-map-item:nth-child(12) .retail-map-item-title {
        right: 58%;
        top: 66%;
    }

    .retail-map-item:nth-child(13) .retail-map-item-title {
        right: 68%;
        top: 55%;
    }

    .retail-map-item[data-uid=office] .retail-map-item-image {
        top: 1%;
    }

    .retail-map-item[data-uid=office] .retail-map-item-child:first-child {
        top: 62%;
        right: 18%;
    }

    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(2) {
        top: 42%;
        right: 27%;
    }

    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(3) {
        top: 43%;
    }

    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(4) {
        top: 37%;
        left: -6%;
    }

    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(5) {
        top: 30%;
        left: 8%;
    }

    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(6) {
        left: 18%;
        top: 25%;
    }

    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(7) {
        top: 15%;
        left: 27%;
    }

    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(8) {
        top: 5%;
        left: 61%;
    }

    .retail-map-item[data-uid=office] .retail-map-item-child:nth-child(9) {
        top: 9%;
        left: 79%;
    }

    .retail-map-item[data-uid=office] .retail-map-item-title {
        top: 2%;
        left: 42%;
    }

    .retail-map-item:not(.active) .retail-map-item-title-marker {
        color: #121239;
    }

    .retail-map-item.active > .retail-map-item-title-marker {
        color: #7949f4;
    }

    .retail-map-item-child.active .retail-map-item-title-marker {
        color: #7949f4;
    }

    .retail-map-item:not(.active) img,
    .retail-map-item:not(.active) svg,
    .retail-map-map-source {
        filter: grayscale(100%);
    }
}

@media (min-width: 1024px) {
    .retail-map-mobile {
        display: none;
    }

    .retail-map-map {
        --scale: 0.8;
        -webkit-transform: scale(var(--scale)) !important;
        -ms-transform: scale(var(--scale)) !important;
        transform: scale(var(--scale)) !important;
        transform: scale(var(--scale)) !important;
        transform-origin: top center;
    }
}

.svg-layer {
    transition: transform 0.5s ease-in-out,
    opacity 0.5s ease-in-out !important;
}

.marker-container {
    width: 37px;
    height: 46px;
    position: relative;
    pointer-events: none;
}

.marker {
    width: 37px;
    height: 46px;
    position: relative;
    z-index: 2;
}

.pulse-circles {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -19px;
    margin-left: -19px;
    width: 36px;
    height: 36px;
    border-radius: 50%;
    background: rgba(249, 66, 58, 0.7);
    z-index: 1;
    opacity: 0;
}

/* Анимация пульсации (3 секунды) */
.pulse-circles.active {
    animation: pulseCircles 3s forwards;
}

@keyframes pulseCircles {
    0% {
        transform: scale(1);
        opacity: 0.7;
    }
    70% {
        transform: scale(3);
        opacity: 0;
    }
    100% {
        transform: scale(3);
        opacity: 0;
    }
}

.retail-map-bottom {
    color: var(--main-dark-blue);
    display: flex;
    gap: 200px;
    margin-top: 32px;
    padding-top: 32px;
    border-top: 1px solid var(--main-grey-2);
    justify-content: space-between;
}

.retail-map-bottom__text p {
    margin: 0;
}

.retail-map-bottom .theme-button {
    padding: 17px 66px;
    max-width: fit-content;
    white-space: nowrap;
    line-height: 1.75;
    cursor: pointer;
    border: 1px solid;
}

@media (max-width: 1476px) {
    .retail-map-bottom {
        gap: 40px;
    }
}

@media (max-width: 1023px) {
    .retail-map-bottom {
        margin-top: 0;
        padding: 20px;
        border: 1px solid var(--main-grey-2);
        flex-direction: column;
        border-radius: 4px;
        gap: 16px;
    }

    .retail-map-bottom .theme-button {
        padding: 9px 20px;
    }
}

@media (max-width: 767px) {
    .retail-map-bottom .theme-button {
        width: 100%;
        max-width: 100%;
    }
}

.retail-map .slick-arrow:hover::before,
.retail-map .slick-arrow:hover::after {
    background-color: transparent;
}

.retail-map .arrow-container {
    display: inline-block;
    cursor: pointer;
    padding: 0;
}

/* Круг */
.retail-map .bg-circle {
    fill: #CEBCFF;
    transition: fill 0.3s ease;
}

/* Общие свойства для всех полосок */
.retail-map .stripe {
    stroke: #7949F4;
    stroke-width: 2;
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke-dasharray: 30;
    stroke-dashoffset: 0;
}

/* Анимация при наведении - полоски идут из центра наружу */
.retail-map .retail-map-btn-open:hover .stripe {
    animation: appearFromCenter 1s infinite ease-in-out;
}


@keyframes appearFromCenter {
    0% {
        stroke-dashoffset: 0;
    }
    50% {
        stroke-dashoffset: 40;
    }
    100% {
        stroke-dashoffset: 0;
    }
}

/* Основная стрелка */
.retail-map .main-arrow {
    stroke: #7949F4;
    stroke-width: 2;
    stroke-linecap: round;
    stroke-linejoin: round;
    transition: stroke 0.3s ease;
}

.retail-map-btn-open-mobile {
    display: none;
}

@media (max-width: 1023px) {
    .retail-map-btn-open .arrow-container {
        display: none;
    }

    .retail-map-btn-open-mobile {
        display: block;
    }

    .retail-map-mobile {
        display: none;
    }
}